package com.iamberry.wechat.file;
/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年10月13日
 * @explain	文件类型之魔数(文件开头，上传文件时，建议使用此验证文件类型,勿相信后缀名)
 */
public enum FileType {
	/**
	 * JPEG
	 */
	JPEG("FFD8FF", "JPEG"),
	
	/**
	 * PNG
	 */
	PNG("89504E47", "PNG"),
	
	/**
	 * GIF
	 */
	GIF("47494638", "GIF"),
	
	/**
	 * TIFF
	 */
	TIFF("49492A00", "TIFF"),
	
	/**
	 * Windows Bitmap
	 */
	BMP("424D", "BMP"),
	
	/**
	 * CAD
	 */
	DWG("41433130", "DWG"),
	
	/**
	 * Adobe Photoshop
	 */
	PSD("38425053", "PSD"),
	
	/**
	 * XML
	 */
	XML("3C3F786D6C", "XML"),
	
	/**
	 * HTML
	 */
	HTML("68746D6C3E", "HTML"),
	
	/**
	 * Adobe Acrobat
	 */
	PDF("255044462D312E", "PDF"),
	
	/**
	 * ZIP
	 */
	ZIP("504B0304", "ZIP"),
	
	/**
	 * RAR
	 */
	RAR("52617221", "RAR"),
	
	/**
	 * Wave
	 */
	WAV("57415645", "WAV"),
	
	/**
	 * AVI
	 */
	AVI("41564920", "AVI"),
	
	/**
	 * TXT
	 */
	TXT("3132302E37", "TXT");
	
	// 文件模数
	private String value = "";
	
	// 模数对应后缀
	private String suffix;
	
	private FileType(String value, String suffix) {
		this.value = value;
		this.suffix = suffix;
	}
	
	public String getSuffix() {
		return suffix;
	}

	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}

	public String getValue() {
		return value;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
}
